apiVersion: apps/v1beta1
kind: Deployment
metadata:
  creationTimestamp: 2018-09-24T02:50:27Z
  generation: 1
  labels:
    run: nats-consumer
  name: nats-consumer
  namespace: default
  resourceVersion: "1612"
  selfLink: /apis/apps/v1beta1/namespaces/default/deployments/nats-consumer
  uid: 97c1ce77-bfa4-11e8-b4aa-608a058c43b8
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 2
  selector:
    matchLabels:
      run: nats-consumer
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        run: nats-consumer
    spec:
      containers:
      - image: jooaodanieel/nats-consumer:latest
        imagePullPolicy: Always
        name: nats-consumer
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
status: {}
